org.eclipse.mat.internal.collectionextract

## Class IBM6ArrayListCollectionExtractor

- java.lang.Object
- - org.eclipse.mat.internal.collectionextract.FieldArrayCollectionExtractor
  - - org.eclipse.mat.internal.collectionextract.IBM6ArrayListCollectionExtractor

All Implemented Interfaces:
  ICollectionExtractor

    public class IBM6ArrayListCollectionExtractor
    extends FieldArrayCollectionExtractor

### Constructor Summary

Constructors
Constructor and Description
`IBM6ArrayListCollectionExtractor(String firstIndex, String lastIndex, String arrayField)`
`IBM6ArrayListCollectionExtractor(String firstIndex, String lastIndex, String arrayField, String sizeField)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `extractEntryIds(IObject coll)` Returns the object ids (int) for all objects which are contained in the collection
`Integer` `getSize(IObject coll)` Extract the size of the collection
`boolean` `hasSize()` Check if the size of the collection can be extracted

### Methods inherited from class org.eclipse.mat.internal.collectionextract.FieldArrayCollectionExtractor

`extractEntries, getCapacity, getFillRatio, getNumberOfNotNullElements, hasCapacity, hasExtractableArray, hasExtractableContents, hasFillRatio`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IBM6ArrayListCollectionExtractor

    public IBM6ArrayListCollectionExtractor(String firstIndex,
                                            String lastIndex,
                                            String arrayField)

#### IBM6ArrayListCollectionExtractor

    public IBM6ArrayListCollectionExtractor(String firstIndex,
                                            String lastIndex,
                                            String arrayField,
                                            String sizeField)

### Method Detail

#### hasSize

    public boolean hasSize()

Description copied from interface: `ICollectionExtractor`
Check if the size of the collection can be extracted

Specified by:
  `hasSize` in interface `ICollectionExtractor`
Overrides:
  `hasSize` in class `FieldArrayCollectionExtractor`
Returns:

#### getSize

    public Integer getSize(IObject coll)
                    throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Extract the size of the collection

Specified by:
  `getSize` in interface `ICollectionExtractor`
Overrides:
  `getSize` in class `FieldArrayCollectionExtractor`
Returns:
Throws:
  `SnapshotException`

#### extractEntryIds

    public int[] extractEntryIds(IObject coll)
                          throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Returns the object ids (int) for all objects which are contained in the collection

Specified by:
  `extractEntryIds` in interface `ICollectionExtractor`
Overrides:
  `extractEntryIds` in class `FieldArrayCollectionExtractor`
Returns:
Throws:
  `SnapshotException`